#ifndef UNIT_GEOMETRY_H
#define UNIT_GEOMETRY_H

#include <reflex/base/FileAccessObject.hpp>
#include <reflex/geometry/Pose3D.hpp>

namespace reflex
{

class UnitGeometry : public FileAccessObject
{
public:

    UnitGeometry();

    virtual ~UnitGeometry();

    virtual void write(cv::FileStorage& fs) const;
    virtual void read(const cv::FileNode& node);

    Pose3d pose;
};

} // end namespace reflex



#endif
