#ifndef APPLICATION_H
#define APPLICATION_H

#include <reflex/base/FileAccessObject.hpp>

namespace reflex
{

class Application : public FileAccessObject
{
public:

    Application(int type = -1);
    virtual ~Application();

    virtual void write(cv::FileStorage& fs) const;
    virtual void read(const cv::FileNode& node);

    char appDisplay();

    bool visualization;
    bool visualizationPaused;
    int visualizationDelay;
    bool debug;

};

} // end of namespace reflex


#endif
