#ifndef TIME_H
#define TIME_H

namespace reflex
{

class Time
{
public:

    Time operator+(const Time& time) const;
    Time operator-(const Time& time) const;

    Time();
    Time(int secs, int nsecs);
    Time(double seconds);

    virtual ~Time();

    double toSeconds() const;

    int secs;
    int nsecs;
};

//ostream& operator<<(ostream& os, const Time& time);

} // end namespace reflex



#endif
